<?xml version="1.0" encoding="utf-8"?>

<resources>

<!-- Buffer sizes are in kb -->
<string name="default_buffer_size">16384</string>

<!-- Keep the following two arrays in sync or you will regret it! -->
<string-array name="buffer_size_names">
    <item>@string/eight_thousand_kb</item>
    <item>@string/sixteen_thousand_kb</item>
    <item>@string/thirtytwo_thousand_kb</item>
    <item>@string/sixtyfive_thousand_kb</item>
  </string-array>

<string-array name="buffer_size_values">
    <item>8192</item>
    <item>@string/default_buffer_size</item>
    <item>32768</item>
    <item>65536</item>
</string-array>

<!-- Sizes are in MB. -->
<string name="default_long_trace_size">10240</string>

<!-- Keep the following two arrays in sync or you will regret it! -->
<string-array name="long_trace_size_names">
    <item>@string/two_hundred_mb</item>
    <item>@string/one_gb</item>
    <item>@string/five_gb</item>
    <item>@string/ten_gb</item>
    <item>@string/twenty_gb</item>
</string-array>

<string-array name="long_trace_size_values">
    <item>200</item>
    <item>1024</item>
    <item>5120</item>
    <item>@string/default_long_trace_size</item>
    <item>20480</item>
</string-array>

<!-- Durations are in minutes. -->
<string name="default_long_trace_duration">30</string>

<!-- Keep the following two arrays in sync or you will regret it! -->
<string-array name="long_trace_duration_names">
    <item>@string/ten_minutes</item>
    <item>@string/thirty_minutes</item>
    <item>@string/one_hour</item>
    <item>@string/eight_hours</item>
    <item>@string/twelve_hours</item>
    <item>@string/twentyfour_hours</item>
</string-array>

<string-array name="long_trace_duration_values">
    <item>10</item>
    <item>@string/default_long_trace_duration</item>
    <item>60</item>
    <item>480</item>
    <item>720</item>
    <item>1440</item>
</string-array>

<!-- Durations are in seconds. -->
<string name="default_continuous_heap_dump_interval">60</string>

<!-- Keep the following two arrays in sync or you will regret it! -->
<string-array name="continuous_heap_dump_interval_names">
    <item>@string/five_seconds</item>
    <item>@string/ten_seconds</item>
    <item>@string/thirty_seconds</item>
    <item>@string/one_minute</item>
</string-array>

<string-array name="continuous_heap_dump_interval_values">
    <item>5</item>
    <item>10</item>
    <item>30</item>
    <item>@string/default_continuous_heap_dump_interval</item>
</string-array>

</resources>
